Bug 836764 - [abrt] libgpod-0.8.2-4.fc17: __stpcpy_chk: Process /usr/lib/udev/iphone-set-info was killed by signal 11 (SIGSEGV)
[abrt] libgpod-0.8.2-4.fc17: __stpcpy_chk: Process /usr/lib/udev/iphone-set-i...
Status: CLOSED DUPLICATE of bug 834359
Product: Fedora
Classification: Fedora
Component: libgpod (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:0b28f89603114b0fd1c998bf4fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 00:00 EDT by mark gress
Modified: 2013-07-09 11:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 11:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.38 KB, text/plain)
2012-07-01 00:00 EDT, mark gress
no flags Details
File: maps (7.87 KB, text/plain)
2012-07-01 00:00 EDT, mark gress
no flags Details

  None (edit)
Description mark gress 2012-07-01 00:00:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /lib/udev/iphone-set-info
crash_function: __stpcpy_chk
executable:     /usr/lib/udev/iphone-set-info
kernel:         3.4.3-1.fc17.i686
pid:            2067
pwd:            /
time:           Sat 30 Jun 2012 08:58:59 PM EDT
uid:            0
username:       root

backtrace:      Text file, 5504 bytes
maps:           Text file, 8058 bytes

build_ids:
:9ca582cad748c16c8582c4d9c7d8540c40dbbee9
:9aea670864d2a34a222fd110376f7946b702de7c
:871f20768b677cb3e1bff7cb6a3e271ea889c003
:6917ef9c8332c9fb640fe8cc341cb5372289b8e9
:42a76bc3975a2cbd20e3bf79cb12d2a83c89d192
:92aaf9e3a33962226af01da69620e9be799859d4
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:15beedcb299b506c9c6a09bdfed67a02095644a5
:13243c938cf035d9b86d99154c6d3f5a3e3e4449
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:57d6de5ff5536ed125c804f036da93c46399c6e4
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:cc9115bc35ddf6c3c933a5751cae695f3579bddf
:4766d96e19faf4e874c15cfb89feba118b91c6e6
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:c231c23d958aa42bb98f000cee5a9a11e090249d
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:56daa92d571686554be873defadd538202804a3c
:ba148f978034eebf97945bc788a04a9f513a0088
:6b2e8f168af0f43fdcd730d5a61e94ba315fdaae
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:019e42ad205179335b27f2a79a873fda88ed21a3
:de9d7cbf664acdddd5f97fc560de561108ec67e7
:3e8db068ebbfae69654767b42d9b0475c53121e7
:f48ad284394152b21bb23d27734b77b4a2dcd7cf
:d38cd4fe4df019b624b952f5c82d747204e66284
:46de6600eff984480b57f98351ffceffddd0c74a
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:22642d79d42cac0522b99e76f62649f14df13025
:4a18cece7105bb73a4f2c3ad540803eb237e7543
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/udev.service
:2:cpuset:/
:1:name=systemd:/system/udev.service

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x106f1e __stpcpy_chk libc.so.6 -
:13243c938cf035d9b86d99154c6d3f5a3e3e4449 0x5e00 - libimobiledevice.so.3 -
:13243c938cf035d9b86d99154c6d3f5a3e3e4449 0x6218 userpref_get_host_id libimobiledevice.so.3 -
:13243c938cf035d9b86d99154c6d3f5a3e3e4449 0xa0ed lockdownd_client_new_with_handshake libimobiledevice.so.3 -
:6917ef9c8332c9fb640fe8cc341cb5372289b8e9 0x101c _start [exe] -

dso_list:
:/usr/lib/libgthread-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.i686 (Fedora Project) 1339299671
:/usr/lib/libp11-kit.so.0.0.0 p11-kit-0.12-1.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/libsgutils2.so.2.0.0 sg3_utils-libs-1.31-2.fc17.i686 (Fedora Project) 1337719211
:/usr/lib/librt-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libgobject-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.i686 (Fedora Project) 1339299671
:/usr/lib/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.6.rc1.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-2.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libsqlite3.so.0.8.6 sqlite-3.7.11-3.fc17.i686 (Fedora Project) 1339299672
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719188
:/usr/lib/libgpod.so.4.3.2 libgpod-0.8.2-4.fc17.i686 (Fedora Project) 1337719302
:/usr/lib/libimobiledevice.so.3.0.1 libimobiledevice-1.1.4-1.fc17.i686 (Fedora Project) 1337719246
:/usr/lib/libgnutls.so.26.22.0 gnutls-2.12.17-1.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libgdk_pixbuf-2.0.so.0.2600.1 gdk-pixbuf2-2.26.1-1.fc17.i686 (Fedora Project) 1337719203
:/usr/lib/libusbmuxd.so.1.0.8 usbmuxd-1.0.8-2.fc17.i686 (Fedora Project) 1339299709
:/usr/lib/libgio-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.i686 (Fedora Project) 1339299671
:/usr/lib/udev/iphone-set-info libgpod-0.8.2-4.fc17.i686 (Fedora Project) 1337719302
:/usr/lib/libpng15.so.15.10.0 libpng-2:1.5.10-1.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libplist.so.1.1.8 libplist-1.8-4.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libgcrypt.so.11.7.0 libgcrypt-1.5.0-3.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libgpg-error.so.0.8.0 libgpg-error-1.10-2.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libtasn1.so.3.1.15 libtasn1-2.12-1.fc17.i686 (Fedora Project) 1337719202
:/usr/lib/libglib-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.i686 (Fedora Project) 1339299671
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719193
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.i686 (Fedora Project) 1337719196
:/usr/lib/libgmodule-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.i686 (Fedora Project) 1339299671

environ:
:ACTION=add
:BUSNUM=002
:DEVNAME=/dev/bus/usb/002/006
:DEVNUM=006
:DEVPATH=/devices/pci0000:00/0000:00:13.2/usb2/2-2
:DEVTYPE=usb_device
:GPHOTO2_DRIVER=PTP
:ID_BUS=usb
:ID_FOR_SEAT=usb-pci-0000_00_13_2-usb-0_2
:ID_GPHOTO2=1
:ID_MODEL=iPhone
:ID_MODEL_ENC=iPhone
:ID_MODEL_ID=12a0
:ID_PATH=pci-0000:00:13.2-usb-0:2
:ID_PATH_TAG=pci-0000_00_13_2-usb-0_2
:ID_REVISION=0001
:ID_SERIAL=Apple_Inc._iPhone_98ccbbc2d65576f1452f16af2179a5780932bd96
:ID_SERIAL_SHORT=98ccbbc2d65576f1452f16af2179a5780932bd96
:ID_USB_INTERFACES=:060101:010100:010200:030000:fffe02:fffd01:
:ID_VENDOR=Apple_Inc.
:'ID_VENDOR_ENC=Apple\\x20Inc.'
:ID_VENDOR_ID=05ac
:MAJOR=189
:MINOR=133
:PRODUCT=5ac/12a0/1
:SEQNUM=2174
:SUBSYSTEM=usb
:TAGS=:seat:uaccess:
:TYPE=0/0/0
:USBMUX_SUPPORTED=1
:USEC_INITIALIZED=7123571832

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             18031                18031                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       18031                18031                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	02
:1:/dev/null
:pos:	0
:flags:	02
:2:/dev/null
:pos:	0
:flags:	02
:3:socket:[502731]
:pos:	0
:flags:	02

smolt_data:
:
:
:General
:=================================
:UUID: 84306c38-58f5-44e9-bf2e-601823701df0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5600.03
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X6 1055T Processor
:CPU Stepping: 0
:CPU Family: 16
:CPU Model Num: 10
:Number of CPUs: 6
:CPU Speed: 2800
:System Memory: 2270
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17296:4163:33673) pci, ahci, STORAGE, M4A785TD Motherboard
:(4130:38409:4163:33854) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4163:33854) pci, None, HOST/PCI, M5A88-V EVO
:(4163:38402:4163:33854) pci, None, PCI/PCI, RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:4163:33699) pci, r8169, ETHERNET, M4A785TD Motherboard
:(4098:17308:4163:33673) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4163:33673) pci, None, SERIAL, M4A785TD Motherboard
:(4098:17309:4163:33673) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33861) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38677:4163:33854) pci, radeon, VIDEO, M5A88-V EVO
:(4098:38671:4163:33854) pci, snd_hda_intel, MULTIMEDIA, M5A88-V EVO
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 2624811 1186822 1160534 663552 520646 520646
:/dev/sda2 /home ext4 4096 4096 1275726 358822 294835 320000 305937 305937
:

var_log_messages:
:Jun 25 18:19:28 localhost kernel: [31579.998364] iphone-set-info[17841]: segfault at 0 ip 4299bf1e sp bfb7c280 error 4 in libc-2.15.so[42895000+1a8000]
:Jun 25 18:19:28 localhost abrt[17875]: Saved core dump of pid 17841 (/usr/lib/udev/iphone-set-info) to /var/spool/abrt/ccpp-2012-06-25-18:19:28-17841 (798720 bytes)
:Jun 27 22:09:00 localhost kernel: [45517.801594] iphone-set-info[16131]: segfault at 0 ip 4299bf1e sp bff53460 error 4 in libc-2.15.so[42895000+1a8000]
:Jun 27 22:09:00 localhost abrt[16158]: Saved core dump of pid 16131 (/usr/lib/udev/iphone-set-info) to /var/spool/abrt/ccpp-2012-06-27-22:09:00-16131 (798720 bytes)
:Jun 28 15:39:48 localhost kernel: [ 1785.079708] iphone-set-info[1424]: segfault at 0 ip 4299bf1e sp bfb6c710 error 4 in libc-2.15.so[42895000+1a8000]
:Jun 28 15:39:48 localhost abrt[1450]: Saved core dump of pid 1424 (/usr/lib/udev/iphone-set-info) to /var/spool/abrt/ccpp-2012-06-28-15:39:48-1424 (798720 bytes)
:Jun 30 20:58:59 localhost kernel: [ 7111.297402] iphone-set-info[2067]: segfault at 0 ip 4299bf1e sp bfa4ab30 error 4 in libc-2.15.so[42895000+1a8000]
:Jun 30 20:58:59 localhost abrt[2097]: Saved core dump of pid 2067 (/usr/lib/udev/iphone-set-info) to /var/spool/abrt/ccpp-2012-06-30-20:58:59-2067 (798720 bytes)
Comment 1 mark gress 2012-07-01 00:00:17 EDT
Created attachment 595501 [details]
File: backtrace
Comment 2 mark gress 2012-07-01 00:00:20 EDT
Created attachment 595502 [details]
File: maps
Comment 3 Fedora End Of Life 2013-07-03 16:37:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Christophe Fergeau 2013-07-09 11:48:21 EDT

*** This bug has been marked as a duplicate of bug 834359 ***

Note You need to log in before you can comment on or make changes to this bug.